#include "typeindex.h"

#include <cstdlib>
#include <cxxabi.h>

namespace ext {

std::ostream & operator << ( std::ostream & os, const ext::type_index & type ) {
	int status;

	char * demangled = abi::__cxa_demangle(type.name(), nullptr, nullptr, &status);
	os << demangled;
	free ( demangled );
	return os;
}

} /* namespace ext */
